## c2esp 26

=== Makefile ===
# makefile for c2esp

# Makefile for c2esp09 has -lcupsimage instead of /usr/lib/libcupsimage.so.2 (intention: to make sucessfully in non ubuntu distros)
# Makefile for c2esp13 has -lcups  (intention: to make sucessfully in Fedora)
# Makefile for c2esp19 has myopldecode compiled but no longer installed
# Makefile for c2esp20 has some redundant stuff deleted, ppd file names are echoed, c2espC added
# Makefile for c2esp21 has forceppd added
# Makefile for c2esp25 has minor changes. (*.in files are deleted from the doc directory)
# Makefile for c2esp25c runs ppdc at install stage if it is installed
# Makefile for c2esp26 uses cups-config to fix problems building with cups 1.6

LANG=C
UNAME := $(shell uname)
#MACH := $(shell uname -m | sed 's/i.86/x86_32/')
#CUPSAPIVER := 1
#SYSNAME := $(shell uname -n)

# Installation prefix...
#PREFIX=/usr/local
#PREFIX=/usr
PREFIX=$(DESTDIR)/usr

PPDCFOUND=0

# Pathnames for this package...
BIN=$(PREFIX)/bin

#was FILTERBIN=$(PREFIX)/lib/cups/filter
#the PREFIX is supplied by cups-config --serverbin
FILTERBIN := $(DESTDIR)$(shell cups-config --serverbin)/filter

MANDIR=$(PREFIX)/share/man
DOCDIR=$(PREFIX)/share/doc/c2esp
PPDDIR=$(PREFIX)/share/ppd/c2esp
INSTALL=install

# Programs and libraries
PROGS=
# put PROGS= myopldecode if you want to install this debug tool
#PROGS=		myopldecode
# DEVPROGS are compiled but not installed
DEVPROGS=	myopldecode
SCRIPTS= c2esplog
FILTERS=	c2esp c2espC command2esp
LIBJBG	=	jbig.o jbig_ar.o
LIBJBG85=	jbig85.o jbig_ar.o
BINPROGS=
ESPDRVFILE = KodakESP_15.drv
CDRVFILE = KodakESP_C_05.drv

# User ID's
LPuid=-oroot
LPgid=-glp
ifeq ($(UNAME),Darwin)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),FreeBSD)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),OpenBSD)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),SunOS)
    LPuid=-oroot
    LPgid=-glp
    INSTALL=/usr/ucb/install
endif
# If we aren't root, don't try to set ownership
ifneq ($(EUID),0)
    LPuid=
    LPgid=
endif

ifeq ($(UNAME),Linux)
#	BINPROGS += usb_printerid
endif

# Compiler flags
CFLAGS +=	-O2 -Wall
#CFLAGS +=	-m32 -O2 -Wall # to produce 32-bit binaries on 64-bit OS
#CFLAGS +=	-g #to make debug info

#cups version, checking that cups-config exists
ifeq ($(wildcard /usr/bin/cups-config),) 
#cups-config not found
	CUPSAPIVER := 99
	LIBCUPSDRIVER := -lcups -lcupsdriver
	LIBCUPSIMAGE := -lcups -lcupsimage
else
#cups-config found
	CUPSAPIVER := $(shell cups-config --api-version)
	LIBCUPSIMAGE := $(shell cups-config --image --libs)
endif

ifeq ($(CUPSAPIVER),1.6)
	LIBCUPSDRIVER := -lcups -lcupsfilters
	FILTERHEADERS := cupsfilters
else
	LIBCUPSDRIVER := -lcups -lcupsdriver
	FILTERHEADERS := cups
endif

#
# The usual build rules
#

all:	common-test cups-test $(FILTERS) $(PROGS) $(DEVPROGS) $(BINPROGS) all-done

common-test:
	#
	# Compile Dependencies general...
	#
	@if ! type $(CC) >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: $(CC) is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install Software Development (gcc) package"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/stdio.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/stdio.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install Software Development (gcc) package"; \
	    echo "      *** for Ubuntu: sudo apt-get install build-essential"; \
	    echo "      ***"; \
	    exit 1; \
	fi

cups-test:
	# Compile Dependencies in cups...

	@echo "cups api detected $(CUPSAPIVER)"
ifeq ($(CUPSAPIVER),1.6)
	@echo "The cups 1.6 tests"
	@echo look in /usr/include/cupsfilters for image and driver

# make config.h
	echo "#define HAVE_CUPSFILTERS 1" >config.h

	@if ! test -f /usr/include/cups/raster.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/cups/raster.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups raster library package"; \
	    echo "      *** for Ubuntu: something like sudo apt-get install libcupsimage2-dev ?"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/$(FILTERHEADERS)/image.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/$(FILTERHEADERS)/image.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups-filters package"; \
	    echo "      *** for Ubuntu: something like sudo apt-get install ??(libcupsfilters-dev)"; \
	    echo "      ***"; \
	    exit 1; \
        fi
	@if ! test -f /usr/include/cups/sidechannel.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/cups/sidechannel.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups development package"; \
	    echo "      *** for Ubuntu: sudo apt-get install libcups2-dev"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/$(FILTERHEADERS)/driver.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/$(FILTERHEADERS)/driver.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups-filters package"; \
	    echo "      *** for Ubuntu: something like sudo apt-get install ??(libcupsfilters-dev)"; \
	    echo "      ***"; \
	    exit 1; \
	fi

else
	@echo "The cups version up to 1.5 tests"
	@echo should look in /usr/include/cups/ for image and driver

# make config.h
	echo "#define HAVE_CUPSFILTERS 0" >config.h

	@if ! test -f /usr/include/cups/raster.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/cups/raster.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups raster library package"; \
	    echo "      *** for Ubuntu: sudo apt-get install libcupsimage2-dev"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/$(FILTERHEADERS)/image.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/$(FILTERHEADERS)/image.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups raster library package"; \
	    echo "      *** for Ubuntu: sudo apt-get install libcupsimage2-dev"; \
	    echo "      ***"; \
	    exit 1; \
        fi
	@if ! test -f /usr/include/cups/sidechannel.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/cups/sidechannel.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups development package"; \
	    echo "      *** for Ubuntu: sudo apt-get install libcups2-dev"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/$(FILTERHEADERS)/driver.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/$(FILTERHEADERS)/driver.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install cups driver package"; \
	    echo "      *** for Ubuntu: sudo apt-get install libcupsdriver1-dev"; \
	    echo "      ***"; \
	    exit 1; \
	fi

endif

	# ... OK!
	#

all-done:
	@echo
	@echo "Patent warning that used to be here no longer applies"
	@echo 

c2esp: c2esp.o c2espcommon.o $(LIBJBG85)
	$(CC) $(CFLAGS) -o $@ c2esp.o c2espcommon.o $(LIBCUPSDRIVER) $(LIBCUPSIMAGE) $(LIBJBG85)

c2espC: c2espC.o c2espcommon.o 
	$(CC) $(CFLAGS) -o $@ c2espC.o c2espcommon.o $(LIBCUPSDRIVER) $(LIBCUPSIMAGE) -lz

command2esp: command2esp.o c2espcommon.o
	$(CC) $(CFLAGS) -o $@ command2esp.o  c2espcommon.o $(LIBCUPSDRIVER)

myopldecode: myopldecode.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ $@.o $(LIBJBG) -lz

#
# Installation rules
#
#install: all install-test install-prog install-ppd install-doc
install: all install-prog install-ppd install-doc

	#
	# Now use your printer configuration GUI to create a new printer if required.
	# If you are upgrading, "make forceppd" may force cups to use the new ppd versions
	# for your existing print queues.
	#
	# Please report problems in the help forum.
	# http://sourceforge.net/projects/cupsdriverkodak/forums
	#

	@if [ "$(PROGS)" = "" ]; then \
		echo "the development tool myopldecode was not installed"; \
	fi
	@if [ "$(PROGS)" = "myopldecode" ]; then \
		echo "the development tool myopldecode was installed"; \
	fi
    

UDEVBIN=$(DESTDIR)/bin/

install-prog:
	#
	# Install driver, and development tools
	#

	if [ "$(PROGS)" != "" ]; then \
		$(INSTALL) -d $(BIN); \
		$(INSTALL) -c $(PROGS) $(BIN); \
	fi

	if [ "$(SCRIPTS)" != "" ]; then \
		$(INSTALL) -d $(BIN); \
		$(INSTALL) -c $(SCRIPTS) $(BIN); \
	fi
	$(INSTALL) -d $(FILTERBIN)
	$(INSTALL) -c $(FILTERS) $(FILTERBIN)/

	if [ "$(BINPROGS)" != "" ]; then \
	    $(INSTALL) -d $(UDEVBIN); \
	    $(INSTALL) -c $(BINPROGS) $(UDEVBIN); \
	fi

MODEL=$(DESTDIR)$(shell cups-config --datadir)/model
PPD=$(DESTDIR)/usr/share/ppd
VARPPD=/var/lp/ppd

install-ppd:
	#
	# Generate PPD files using ppdc tool of currently installed CUPS version
	# run ppdc if it is present
	@if test -f /usr/bin/ppdc; then \
	    echo "ppdc is available so running it"; \
		mkdir -p ppd; \
		ppdc $(ESPDRVFILE); \
		ppdc $(CDRVFILE); \
	fi

	#
	# work around a bug in CUPS ppdc 1.4.x for "8x10" format by post-editing PPD files
	#
	for i in ppd/*.ppd ; do \
	    mv $$i $$i.orig ; \
	    sed '1,$$s/8 x 10"/8x10/g' $$i.orig > $$i ; \
	done
	rm ppd/*.orig

	#
	# Install PPD files for CUPS
	#
	$(INSTALL) -d -m 755 $(PPDDIR)
	rm -f $(PPDDIR)/*.ppd
	    cd ppd; \
	    for ppdfile in *.ppd; do \
	        echo $$ppdfile; \
	    $(INSTALL) -c -m 644 $$ppdfile $(PPDDIR); \
	    done;

forceppd:
	# attempt to assign new ppds to existing queues
	./c2esp.postinst configure

doc: README INSTALL 

install-doc: doc
	#
	# Install documentation
	#
	rm -f $(DOCDIR)/INSTALL.in
	rm -f $(DOCDIR)/README.in
	$(INSTALL) -d -m 755 $(DOCDIR)
	$(INSTALL) -c -m 644 COPYING $(DOCDIR)
	$(INSTALL) -c -m 644 INSTALL $(DOCDIR)
	$(INSTALL) -c -m 644 README $(DOCDIR)
	$(INSTALL) -c -m 644 c2esp.txt $(DOCDIR)

# make README file from README.in just copy and make read only
README: README.in
	rm -f $@
	cp $@.in $@
	chmod -w $@

# make INSTALL file from INSTALL.in
# adds a contents section to the start, using the capitalised subject headings.
INSTALL: INSTALL.in Makefile
#INSTALL: INSTALL.in
	rm -f $@
	echo "TOPICS" > $@.tmp
	echo "------" >> $@.tmp
	grep ^[A-Z][A-Z] $@.in | sed "s/^/    * /" >> $@.tmp
	echo >> $@.tmp
	cat $@.tmp $@.in > $@
	rm -f $@.tmp
	chmod -w $@

#
# Uninstall
#
uninstall:
	-rm -rf $(PPDDIR)
	-rm -f $(BIN)/myopldecode
	-rm -f $(BIN)/c2esp
	-rm -f $(BIN)/c2esplog
	-rm -f $(FILTERBIN)/c2esp
	-rm -f $(FILTERBIN)/c2espC
#	done
#remove any compressed ppds. Is this a real thing? or is MODEL something I made by mistake in an early version?
	cd ppd; for ppdfile in *.ppd; do \
	    rm -f $(MODEL)/$$ppdfile.gz; \
	done;

#
# Clean
#
clean:
	-rm -f $(PROGS) $(BINPROGS) $(FILTERS) $(DEVPROGS)
	-rm -f *.o
	-rm -f *~
# Do not remove ppds, so that users without ppdc can install them
#	-rm -f ppd/*
	-rm -f *.tar.gz
	-rm -f config.h

#
# Header dependencies
#
jbig.o: jbig.h
jbig85.o: jbig85.h
c2esp.o: jbig85.h c2espcommon.h
c2espC.o: c2espcommon.h
myopldecode.o: jbig.h
command2esp.o: c2espcommon.h
c2espcommon.o: c2espcommon.h

=== debian/changelog ===
c2esp (26-4) unstable; urgency=low

  * Upload to unstable to build against newer cups.

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Jun 2013 17:24:46 +0200

c2esp (26-3) experimental; urgency=low

  [ Sebastien Bacher ]
  * Changed build dependencies from libcupsdriver1-dev to
    libcupsfilters-dev.

 -- Didier Raboud <odyx@debian.org>  Thu, 16 May 2013 15:01:29 +0200

c2esp (26-2) unstable; urgency=low

  * Upload to unstable.

 -- Didier Raboud <odyx@debian.org>  Thu, 16 May 2013 14:42:06 +0200

c2esp (26-1) experimental; urgency=low

  * New 26 upstream release.
    - Refresh patches.
    - Update the .drv files installation.

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Sep 2012 09:58:36 +0200

=== debian/control ===
Source: c2esp
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 8.9.0~), libcupsimage2-dev (>= 1.6), libcupsfilters-dev, libjbig-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/c2esp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c2esp.git
Homepage: http://cupsdriverkodak.sf.net/
Standards-Version: 3.9.3

Package: printer-driver-c2esp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cups-ppdc
Suggests: psutils
Breaks: cups (<< 1.5.0-2~), c2esp (<< 19-2~)
Replaces: c2esp (<< 19-2~)
Description: printer driver for Kodak ESP AiO color inkjet Series
 The c2esp driver is an open source driver for the Kodak ESP AiO and HERO
 AiO color inkjet printers series. It is likely to work on the 
 ESP 2100 Series AiO,
 ESP 3200 Series AiO,
 ESP 5200 Series AiO,
 ESP 5500 Series AiO,
 ESP 6100 Series AiO,
 ESP 7200 Series AiO,
 ESP 9200 Series AiO,
 ESP C100 Series AiO.
 ESP C310 Series AiO,
 HERO 3.1 AiO,
 HERO 5.1 AiO,
 HERO 6.1 AiO,
 HERO 7.1 AiO and
 HERO 9.1 AiO.

Package: c2esp
Depends: printer-driver-c2esp, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional dummy package for c2esp printer driver
 This is a transitional dummy package to transition to uniformly named
 printer-driver-c2esp.

=== debian/rules ===
#!/usr/bin/make -f

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install
	install -D -m 644 KodakESP_15.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2esp.drv
	install -D -m 644 KodakESP_C_05.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2espC.drv
ifeq ($(derives_from_ubuntu),yes)
	# Install the apport hook on Ubuntu and derivatives
	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-c2esp/usr/share/apport/package-hooks/source_c2esp.py
endif

## c2esp 27~rc1

=== Makefile ===
--- 
+++ 
@@ -8,16 +8,13 @@
 # Makefile for c2esp25 has minor changes. (*.in files are deleted from the doc directory)
 # Makefile for c2esp25c runs ppdc at install stage if it is installed
 # Makefile for c2esp26 uses cups-config to fix problems building with cups 1.6
+# Makefile for c2esp27 ppds for ESP 1.2 and 3.2 added, use new drv files instead of ppd,
 
 LANG=C
 UNAME := $(shell uname)
-#MACH := $(shell uname -m | sed 's/i.86/x86_32/')
-#CUPSAPIVER := 1
-#SYSNAME := $(shell uname -n)
 
 # Installation prefix...
 #PREFIX=/usr/local
-#PREFIX=/usr
 PREFIX=$(DESTDIR)/usr
 
 PPDCFOUND=0
@@ -25,13 +22,13 @@
 # Pathnames for this package...
 BIN=$(PREFIX)/bin
 
-#was FILTERBIN=$(PREFIX)/lib/cups/filter
 #the PREFIX is supplied by cups-config --serverbin
 FILTERBIN := $(DESTDIR)$(shell cups-config --serverbin)/filter
 
 MANDIR=$(PREFIX)/share/man
 DOCDIR=$(PREFIX)/share/doc/c2esp
 PPDDIR=$(PREFIX)/share/ppd/c2esp
+DRVDIR=$(DESTDIR)$(shell cups-config --datadir)/drv/c2esp
 INSTALL=install
 
 # Programs and libraries
@@ -42,11 +39,16 @@
 DEVPROGS=	myopldecode
 SCRIPTS= c2esplog
 FILTERS=	c2esp c2espC command2esp
-LIBJBG	=	jbig.o jbig_ar.o
-LIBJBG85=	jbig85.o jbig_ar.o
+#LIBJBIG	=	jbig.o jbig_ar.o
+#LIBJBIG85=	jbig85.o jbig_ar.o
+# The jbig library. Debian and derivatives should now have the jbig library -ljbig
+# -ljbig also contains jbig85
+	LIBJBIG := -ljbig
+	LIBJBIG85 := -ljbig
+
 BINPROGS=
-ESPDRVFILE = KodakESP_15.drv
-CDRVFILE = KodakESP_C_05.drv
+ESPDRVFILE = KodakESP_16.drv
+CDRVFILE = KodakESP_C_07.drv
 
 # User ID's
 LPuid=-oroot
@@ -86,6 +88,7 @@
 #cups version, checking that cups-config exists
 ifeq ($(wildcard /usr/bin/cups-config),) 
 #cups-config not found
+
 	CUPSAPIVER := 99
 	LIBCUPSDRIVER := -lcups -lcupsdriver
 	LIBCUPSIMAGE := -lcups -lcupsimage
@@ -103,6 +106,7 @@
 	FILTERHEADERS := cups
 endif
 
+
 #
 # The usual build rules
 #
@@ -111,8 +115,24 @@
 
 common-test:
 	#
+	# cups-config...
+	#
+ifeq ($(CUPSAPIVER),99)
+	   @echo "      ***"; \
+	   echo "      *** Warning: /usr/bin/cups-config is not installed"; \
+	   echo "      ***"; \
+	   echo "      *** Try to install it in the package libcups2-dev"; \
+	   echo "      *** for Ubuntu: sudo apt-get install libcups2-dev"; \
+	   echo "      *** Then run make again."; \
+	   echo "      ***"; \
+	   echo "      *** If you cannot install cups-config, make will assume"; \
+	   echo "      *** that your cups version is 1.5 or lower."; \
+	   echo "      ***";
+endif
+	#
 	# Compile Dependencies general...
 	#
+
 	@if ! type $(CC) >/dev/null 2>&1; then \
 	    echo "      ***"; \
 	    echo "      *** Error: $(CC) is not installed!"; \
@@ -133,10 +153,14 @@
 
 cups-test:
 	# Compile Dependencies in cups...
-
+ifeq ($(CUPSAPIVER),99)
+	@echo "The cups api version is unknown, assuming <=1.5"
+else
 	@echo "cups api detected $(CUPSAPIVER)"
+endif
+
 ifeq ($(CUPSAPIVER),1.6)
-	@echo "The cups 1.6 tests"
+	@echo "The cups tests for version 1.6"
 	@echo look in /usr/include/cupsfilters for image and driver
 
 # make config.h
@@ -147,7 +171,7 @@
 	    echo "      *** Error: /usr/include/cups/raster.h is not installed!"; \
 	    echo "      ***"; \
 	    echo "      *** Install cups raster library package"; \
-	    echo "      *** for Ubuntu: something like sudo apt-get install libcupsimage2-dev ?"; \
+	    echo "      *** for Ubuntu: sudo apt-get install libcupsimage2-dev"; \
 	    echo "      ***"; \
 	    exit 1; \
 	fi
@@ -180,7 +204,7 @@
 	fi
 
 else
-	@echo "The cups version up to 1.5 tests"
+	@echo "The cups tests for version up to 1.5"
 	@echo should look in /usr/include/cups/ for image and driver
 
 # make config.h
@@ -233,8 +257,11 @@
 	@echo "Patent warning that used to be here no longer applies"
 	@echo 
 
-c2esp: c2esp.o c2espcommon.o $(LIBJBG85)
-	$(CC) $(CFLAGS) -o $@ c2esp.o c2espcommon.o $(LIBCUPSDRIVER) $(LIBCUPSIMAGE) $(LIBJBG85)
+#c2esp: c2esp.o c2espcommon.o
+#	$(CC) $(CFLAGS) -o $@ c2esp.o c2espcommon.o $(LIBCUPSDRIVER) $(LIBCUPSIMAGE) $(LIBJBG85)
+
+c2esp: c2esp.o c2espcommon.o
+	$(CC) $(CFLAGS) -o $@ c2esp.o c2espcommon.o $(LIBCUPSDRIVER) $(LIBCUPSIMAGE) $(LIBJBIG85)
 
 c2espC: c2espC.o c2espcommon.o 
 	$(CC) $(CFLAGS) -o $@ c2espC.o c2espcommon.o $(LIBCUPSDRIVER) $(LIBCUPSIMAGE) -lz
@@ -242,15 +269,19 @@
 command2esp: command2esp.o c2espcommon.o
 	$(CC) $(CFLAGS) -o $@ command2esp.o  c2espcommon.o $(LIBCUPSDRIVER)
 
-myopldecode: myopldecode.o $(LIBJBG)
-	$(CC) $(CFLAGS) -o $@ $@.o $(LIBJBG) -lz
+#myopldecode: myopldecode.o
+#	$(CC) $(CFLAGS) -o $@ $@.o $(LIBJBG) -lz
+
+myopldecode: myopldecode.o
+	$(CC) $(CFLAGS) -o $@ $@.o $(LIBJBIG) -lz
 
 #
 # Installation rules
 #
-#install: all install-test install-prog install-ppd install-doc
-install: all install-prog install-ppd install-doc
-
+#use next line if you need to install ppds
+#install: all install-prog install-ppd install-doc
+install: all install-prog install-drv install-doc
+ 
 	#
 	# Now use your printer configuration GUI to create a new printer if required.
 	# If you are upgrading, "make forceppd" may force cups to use the new ppd versions
@@ -293,8 +324,8 @@
 	fi
 
 MODEL=$(DESTDIR)$(shell cups-config --datadir)/model
-PPD=$(DESTDIR)/usr/share/ppd
-VARPPD=/var/lp/ppd
+#PPD=$(DESTDIR)/usr/share/ppd
+#VARPPD=/var/lp/ppd
 
 install-ppd:
 	#
@@ -326,6 +357,21 @@
 	        echo $$ppdfile; \
 	    $(INSTALL) -c -m 644 $$ppdfile $(PPDDIR); \
 	    done;
+
+install-drv:
+	# make files with ppdc if it is present
+	@if test -f /usr/bin/ppdc; then \
+	    echo "ppdc is available so testing drv files"; \
+		ppdc -t $(ESPDRVFILE); \
+		ppdc -t $(CDRVFILE); \
+	    echo "Making ppds to keep them compatible with drv files."; \
+		ppdc $(ESPDRVFILE); \
+		ppdc $(CDRVFILE); \
+	fi
+
+	$(INSTALL) -d -m 755 $(DRVDIR)
+	$(INSTALL) -c -m 644 $(ESPDRVFILE) $(DRVDIR)
+	$(INSTALL) -c -m 644 $(CDRVFILE) $(DRVDIR)
 
 forceppd:
 	# attempt to assign new ppds to existing queues
@@ -369,37 +415,10 @@
 #
 uninstall:
 	-rm -rf $(PPDDIR)
+	-rm -rf $(DRVDIR)
 	-rm -f $(BIN)/myopldecode
 	-rm -f $(BIN)/c2esp
 	-rm -f $(BIN)/c2esplog
 	-rm -f $(FILTERBIN)/c2esp
 	-rm -f $(FILTERBIN)/c2espC
 #	done
-#remove any compressed ppds. Is this a real thing? or is MODEL something I made by mistake in an early version?
-	cd ppd; for ppdfile in *.ppd; do \
-	    rm -f $(MODEL)/$$ppdfile.gz; \
-	done;
-
-#
-# Clean
-#
-clean:
-	-rm -f $(PROGS) $(BINPROGS) $(FILTERS) $(DEVPROGS)
-	-rm -f *.o
-	-rm -f *~
-# Do not remove ppds, so that users without ppdc can install them
-#	-rm -f ppd/*
-	-rm -f *.tar.gz
-	-rm -f config.h
-
-#
-# Header dependencies
-#
-jbig.o: jbig.h
-jbig85.o: jbig85.h
-c2esp.o: jbig85.h c2espcommon.h
-c2espC.o: c2espcommon.h
-myopldecode.o: jbig.h
-command2esp.o: c2espcommon.h
-c2espcommon.o: c2espcommon.h
-

=== debian/changelog ===
c2esp (27~rc1-1) experimental; urgency=low

  * New 27~rc1 upstream release
    - "The jbig library is no longer shipped with c2esp", therefore
      update debian/copyright and drop the patch to use the
      Debian-provided libjbig
    - Update the .drv files installation
    - Update the models list in the package description
  * Add patch to enforce LDFLAGS usage
  * Add --as-needed to LDFLAGS

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Jan 2014 14:39:42 +0100

c2esp (26-5) unstable; urgency=low

  * Drop c2esp transitional package which reached stable
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 29 Nov 2013 11:44:21 +0100

=== debian/control ===
Source: c2esp
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 8.9.0~), libcupsimage2-dev (>= 1.6), libcupsfilters-dev, libjbig-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/c2esp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c2esp.git
Homepage: http://cupsdriverkodak.sf.net/
Standards-Version: 3.9.5

Package: printer-driver-c2esp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cups-ppdc
Suggests: psutils
Breaks: cups (<< 1.5.0-2~), c2esp (<< 19-2~)
Replaces: c2esp (<< 19-2~)
Description: printer driver for Kodak ESP AiO color inkjet Series
 The c2esp driver is an open source driver for the Kodak ESP AiO and HERO
 AiO color inkjet printers series. It is likely to work on the 
 5100 AiO,
 5300 AiO,
 5500 AiO,
 ESP 1.2 AiO,
 ESP 2.2 AiO,
 ESP 3200 Series AiO,
 ESP 3.2 AiO,
 ESP 3 AiO,
 ESP 4.2 AiO,
 ESP 5200 Series AiO,
 ESP 5 AiO,
 ESP 7200 Series AiO,
 ESP 7 AiO,
 ESP 9200 Series AiO,
 ESP 9 AiO,
 ESP C100 Series AiO,
 ESP C110 Series AiO,
 ESP C310 Series AiO,
 ESP Office 4100 Series AiO,
 ESP Office 6100 Series AiO,
 HERO 3.1 AiO,
 HERO 5.1 AiO,
 HERO 6.1 AiO,
 HERO 7.1 AiO and
 HERO 9.1 AiO.

=== debian/rules ===
#!/usr/bin/make -f

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install
	install -D -m 644 KodakESP_16.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2esp.drv
	install -D -m 644 KodakESP_C_07.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2espC.drv
ifeq ($(derives_from_ubuntu),yes)
	# Install the apport hook on Ubuntu and derivatives
	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-c2esp/usr/share/apport/package-hooks/source_c2esp.py
endif

=== debian/watch ===
version=3
http://sf.net/cupsdriverkodak/c2esp(.+)\.tar\.gz

## c2esp 27

=== debian/changelog ===
c2esp (27-8) unstable; urgency=medium

  * Rework GCC-10 patch with simpler extern stanza

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Jul 2020 10:38:01 +0200

c2esp (27-7) unstable; urgency=medium

  * Packaging cleanup.
    - Refresh Homepage URL
    - Bump Standards-Version to 4.5 without changes needed
    - Drop pre-oldstaple Breaks/Replaces
  * Fix FTBFS with GCC-10 (Closes: #957061)
    - Add extern stanzas to variable definitions in header
    - Namespace overlapping global variable names

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Jul 2020 10:13:14 +0200

c2esp (27-6) unstable; urgency=low

  * Add gitlab-ci configuration for Salsa
  * lintian-brush fixes:
    - Use secure URI in debian/watch.
    - Bump debhelper from old 9 to 12.
    - Set upstream metadata fields: Archive, Bug-Submit.
  * Convert patch-queue to git debrebase

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Sep 2019 15:02:40 +0200

c2esp (27-5) experimental; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * Trim trailing whitespace.

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Jun 2019 09:43:39 +0200

c2esp (27-4) unstable; urgency=medium

  * Update debian/control syntax with cme
  * Bump Standards-Version to 4.1.3 without changes needed
  * Update Vcs-* fields for the move to salsa.d.o
  * Instantiate gbp.conf and git-dpm

 -- Didier Raboud <odyx@debian.org>  Fri, 09 Feb 2018 17:25:47 +0100

c2esp (27-3) unstable; urgency=medium

  * Update patch fixing missing includes to add <stdio.h> to fix FTBFS
    (Closes: #839344)

 -- Didier Raboud <odyx@debian.org>  Mon, 03 Oct 2016 09:22:26 +0200

c2esp (27-2) unstable; urgency=medium

  * Add autopkgtest suite
  * Add patch to fix implicit declaration of strncasecmp

 -- Didier Raboud <odyx@debian.org>  Mon, 21 Jul 2014 13:22:44 +0200

c2esp (27-1) unstable; urgency=medium

  * New 27 upstream release
    - The compile and install system has been changed to
      autoconf/automake
  * Updates for version 27:
    - Refresh debian/copyright
    - Update debian/watch to cope with the latest upstream naming scheme
    - Drop all debian patches, made obsolete by the new upstream
  * Move the repository from collab-maint to printing; update the VCS-*
    fields accordingly
  * Bump debhelper depends to 9; sync with compat

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Mar 2014 15:32:36 +0100

=== debian/control ===
Source: c2esp
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Section: text
Priority: optional
Build-Depends: libcupsimage2-dev (>= 1.6),
               libcupsfilters-dev,
               libjbig-dev,
               debhelper-compat (= 12)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/printing-team/c2esp
Vcs-Git: https://salsa.debian.org/printing-team/c2esp.git
Homepage: https://sourceforge.net/projects/cupsdriverkodak/

Package: printer-driver-c2esp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: cups-ppdc
Suggests: psutils
Description: printer driver for Kodak ESP AiO color inkjet Series
 The c2esp driver is an open source driver for the Kodak ESP AiO and HERO
 AiO color inkjet printers series. It is likely to work on the
 5100 AiO,
 5300 AiO,
 5500 AiO,
 ESP 1.2 AiO,
 ESP 2.2 AiO,
 ESP 3200 Series AiO,
 ESP 3.2 AiO,
 ESP 3 AiO,
 ESP 4.2 AiO,
 ESP 5200 Series AiO,
 ESP 5 AiO,
 ESP 7200 Series AiO,
 ESP 7 AiO,
 ESP 9200 Series AiO,
 ESP 9 AiO,
 ESP C100 Series AiO,
 ESP C110 Series AiO,
 ESP C310 Series AiO,
 ESP Office 4100 Series AiO,
 ESP Office 6100 Series AiO,
 HERO 3.1 AiO,
 HERO 5.1 AiO,
 HERO 6.1 AiO,
 HERO 7.1 AiO and
 HERO 9.1 AiO.

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 override_dh_install:
 	dh_install
-	install -D -m 644 KodakESP_16.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2esp.drv
-	install -D -m 644 KodakESP_C_07.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2espC.drv
+	install -D -m 644 src/KodakESP_16.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2esp.drv
+	install -D -m 644 src/KodakESP_C_07.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2espC.drv
 ifeq ($(derives_from_ubuntu),yes)
 	# Install the apport hook on Ubuntu and derivatives
 	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-c2esp/usr/share/apport/package-hooks/source_c2esp.py

=== debian/watch ===
version=3
https://sf.net/cupsdriverkodak/c2esp-?(.+)\.tar\.gz
